## List only directories
ls -d */
## Substitute - with @
ls -d */ | tr -s '-' @
## divide using @ and take everything but the year
ls -d */ | tr -s '-' @ | cut -d @ -f 2-5
## remove the trailing /
ls -d */ | tr -s '-' @ | cut -d @ -f 2-5 | tr -d '/'
## sort (optional)
ls -d */ | tr -s '-' @ | cut -d @ -f 2-5 | tr -d '/' | sort
## redirect to a file
ls -d */ | tr -s '-' @ | cut -d @ -f 2-5 | tr -d '/' | sort > Ex1.txt
## Now open in R and read it
a <- read.csv("Ex1.txt", header = FALSE)
## count occurrences
table(a[,1])
## sort the table (optional)
sort(table(a[,1]))
## ANSWER:
## Brazil, France, Italy & Mexico

