## Before starting,
## prepare a file of mathches
## cat */cup*.txt | grep @ > Matches.txt

## Notes: 
## Ex 3 can be done easily with grep.
## Here I am doing it "the hard way"
## The regular expression could be simplified if we didn't care for 
## multiple names "Dutch East Indies" being the longest...


import re
myreg = r'\s*([A-Z][A-Z\'a-z]*(\s[A-Z][\'a-z]*){0,3})\s*(\d+)\-(\d+)[a-z\d\.\s\(\)\-\t\,]*([A-Z][A-Z\'a-z]*(\s[A-Z][\'a-z]*){0,3})\s*@'
creg = re.compile(myreg)

NumMatches = {}

MaxScore = 0
MaxScoreMatch = ""

## Now open the file and read it
a = open("Matches.txt")
for i in a:
    z = re.findall(creg, i)
    if z != []:
        team1 = z[0][0].strip()
        team2 = z[0][4].strip()
        score1 = int(z[0][2])
        score2 = int(z[0][3])
        ## sort alphabetically
        if team1 > team2:
            team1, team2 = team2, team1
            score1, score2 = score2, score1
        NumMatches[team1 + team2] = NumMatches.get(team1 + team2, 0) + 1
        if (team1 == 'Costa Rica') & (team2 == 'Italy'):
            print team1, team2
        if (team1 == 'Ecuador') & (team2 == 'Honduras'):
            print team1, team2
        if (team1 == 'France') & (team2 == 'Switzerland'):
            print team1, team2
        if score1 + score2 >= MaxScore:
            MaxScore = score1 + score2
            MaxScoreMatch = team1 + ' - ' + team2
            print MaxScore, team1 + ' - ' + team2
a.close()


## Now find the most common match
MostCommon = ""
NumMostCommon = 0
for m in NumMatches:
    if NumMatches[m] > NumMostCommon:
        NumMostCommon = NumMatches[m]
        MostCommon = m
